<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

/***** メディアにalt、キャプション、説明を表示 *****/
/* メディア一覧にカラム追加 */
function haup_add_media_columns( $posts_columns ) {
	$posts_columns['haup_media_alt'] = __( 'Alternative Text','hima-art-utility');
	$posts_columns['haup_media_caption'] = __( 'Caption','hima-art-utility');
	$posts_columns['haup_media_des'] = __( 'Description','hima-art-utility');

	return $posts_columns;
}
add_filter( 'manage_media_columns', 'haup_add_media_columns' );

/* カラムに情報を表示 */
function haup_media_custom_column_data( $column_name, $post_id ) {
	$image_id = '';

	if( $column_name == 'haup_media_alt' ) {
		$data = get_post_meta($post_id, '_wp_attachment_image_alt', true);
	}

	if( $column_name == 'haup_media_caption' ) {
		$data = get_post_field('post_excerpt', $image_id);
	}

	if( $column_name == 'haup_media_des' ) {
		$data = get_post_field('post_content', $image_id);
	}

		if ( isset($data) && $data ) {
		echo esc_attr($data);
	} else {
		echo '';
	}
	
}
add_action( 'manage_media_custom_column', 'haup_media_custom_column_data', 10, 2 );

/* 管理画面上のスタイル */
function haup_admin_media_att_column_style_init(){
$custom_css_pre = "
/* HAUP Media Alt Column Width */
.column-haup_media_alt,
.column-haup_media_caption,
.column-haup_media_des,
.column-haup_media_shooting_date
{width:10%;}
";

	//スタイルコードを改行なしで整形する
	$custom_css = str_replace(PHP_EOL, '', $custom_css_pre);

	wp_add_inline_style('haup-only-admin-style', $custom_css );

}
add_action('admin_enqueue_scripts','haup_admin_media_att_column_style_init');